<?php
/*	=====================================================
	preset_path_manager, Version 1.06.000
	=====================================================

$module_directory     = 'preset_path_manager';
$module_name          = 'Preset Path Manager';
$module_function      = 'tool';
$module_version       = '1.06.000';
$module_platform      = '2.x';
$module_author        = 'Wolfgang Studer';
$module_license       = 'GNU General Public License';
$module_license_terms = '-';
$module_description   = 'defines preset path to be used in various modules';
$module_guid          = '710b5004-5b13-4efe-ae8d-df8cedfb115b';
$module_home          = 'www.wolfgangstuder.ch | www.lepton-cms.com';
$lepador_link         = 'http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php';
$forum_link           = 'http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061';

=====================================================

INTRO
==================================

An admin module for the LEPTON CMS software.

It allows managing of preset path used in various modules.

This module supports the module "lib_logger". With "lib_logger",
errors, activities and SQLs can be saved in a database table and shown via the module
"logger".
The modules "lib_logger" and "logger" are optional and not
mandatory for the usage of this module.

This module supports the module "lib_dependency" to secure the availability of
dependencies during de-installations.
The module "lib_dependency" is optional and not mandatory for the usage of this
module.
The module can be installed later on, defined dependencies will be semi-automatically
registered (register_dependency.php).
See README.en.txt of "lib_dependency" for more details about.

PRE-REQUIREMENTS
==================================
>=       2.2 : LEPTON_VERSION
>=       5.6 : PHP_VERSION
>=  1.04.000 : WB_ADDONS[ 'lib_setuphelper' ]
>=  1.24.0.0 : WB_ADDONS[ 'lib_twig' ]
>=  0.03.001 : WB_ADDONS[ 'lib_dependency' ] (optional)
>=  0.05.002 : WB_ADDONS[ 'lib_logger' ] (optional)

INSTALLATION
==================================

1. Download the latest version from
	http://www.lepton-cms.com/lepador/modules/preset_path_manager.php
2. Log into your Lepton CMS backend
3. Go to Addons -> Modules
4. In the "Install Module" section, enter the path to the preset_path_manager zip file
	that you downloaded in step 1, and choose the "Install" button.


DE-INSTALLATION
==================================

1. Log into your Lepton CMS backend
2. Go to Addons -> Modules
3. In the "Uninstall Module" section, select the module "preset_path_manager",
	and choose the "Uninstall" button.

USING preset_path_manager
==================================

Calling this Admin Tool you see all available & defined path to presets.
Also you can add new path or delete existing path.
Note that first delete goes into trash, from which it can be either finally deleted or restored.
Defined Path which are in use can not be deleted.

#@INCLUDE: README_EN_OPTIONIZER#

#@INCLUDE: README_EN_DEPENDENCY#

OWN ENHANCEMENTS
===========================

This module is build in a way that it can be enhanced by system administrator at various
points without any risk that enhancements gets lost during next updates.
Hereafter the points & files:

Variables used:
- {LEPTON_PATH}   = the LEPTON CMS installation path
- {DEFAULT_THEME} = the backend theme used
- {TEMPLATE}      = the frontend template used
- {COMPONENT}     = the component name, e.g. "modify_optionizer"
- {LANGUAGE}      = the currently used language code, uppercase

- {BACKEND_PATH}  = {LEPTON_PATH}/templates/{DEFAULT_THEME}/backend/preset_path_manager
- {FRONTEND_PATH} = {LEPTON_PATH}/templates/{TEMPLATE}/frontend/preset_path_manager


For backend:
- {BACKEND_PATH}/backend.css
	>> use this file to overwrite the default layout styles.
		If this file exists, the default file will not be used!

- {BACKEND_PATH}/languages/{LANGUAGE}.php
	>> use this file to overwrite the default provided text.
		This file is loaded after the standard file have been processed.

- {BACKEND_PATH}/lib/lib.backend.config.{COMPONENT}.php
	>> you can overwrite here default config settings.
		This file is loaded after the standard file have been processed.

- {BACKEND_PATH}/lib/lib.data.{COMPONENT}.php
	>> data have been retrieved. use this script when you want to modify the data before
		they are passed to the TWIG template engine
		This file is loaded after the standard file have been processed.

- {BACKEND_PATH}/lib/lib.twig.{COMPONENT}.php
	>> use this for passing additional values towards the TWIG template.
		This file is loaded after the standard file have been processed.

- {BACKEND_PATH}/templates/backend/{COMPONENT}.lte
	>> use this file to use your own template
		If this file exists, the default file will not be used!
	Note that you can use also a template with a different name by specifying it as:
		// define twig template
		$twigTemplate =  '<<your template name>>';
	in: {BACKEND_PATH}/lib/lib.twig.{COMPONENT}.php





FURTHER DOCUMENTATION
===========================

Further documentation about this module can be found in the LEPTON CMS forum at
http://forum.lepton-cms.org/index.php


Enjoy!
*/
?>
