<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


/*
 * Ajax call: prepare output with module info
 */

// check input
	$inputs = array();

// set $module as current module
	$path_module = 'preset_path_manager';

// set processing initials
	unset( $twigTemplate );
	$path_component = basename( __FILE__, '.php' );
	$path_modulePath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR;
	$includes = array();

// Include admin class script
	include( LEPTON_PATH . '/framework/class.admin.php');
	$admin = new admin( 'Dialog', 'start', false, false );

// include the basic files at start
	// setup module initials
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $path_modulePath . 'register_initial.php' );
	include( $path_modulePath . 'load_includes.php' );

	// include language registration
	$includes[]	= $path_modulePath . 'register_language.php';
	// include backend config files
	$includes[]	= $path_modulePath . 'lib/lib.config.php';
	$includes[]	= $path_modulePath . 'lib/lib.backend.config.php';
	$includes[]	= $path_templatePath . 'lib/lib.backend.config.php';
	$includes[]	= $path_modulePath . 'lib/lib.backend.config.' . $path_component . '.php';
	$includes[]	= $path_templatePath . 'lib/lib.backend.config.' . $path_component . '.php';
	// include basic functions
	$includes[]	= $path_templatePath . 'lib/lib.backend.functions.' . $path_component . '.php';
	$includes[]	= $path_templatePath . 'lib/lib.backend.functions.php';
	$includes[]	= $path_modulePath . 'lib/lib.backend.functions.' . $path_component . '.php';
	$includes[]	= $path_modulePath . 'lib/lib.backend.functions.php';
	// do include
	include( $path_modulePath . 'load_includes.php' );

	// initialize data variable
	$data = array();

	// do input validation
	$error = path_input_filter( 'POST', $_POST, $inputs );
	$path_response = '';
	if ( $error != 0 ):
		$status = FALSE;
		$path_response  = '<div class="warning alerts">';
		$path_response .= $MOD_PRESET_PATH_MANAGER['ERROR']['INPUT'] . ' [ ' . $error . ' ]' . '<br />' . $inputs[$error][ 'error' ];
		$path_response .= '</div>';
		unset( $inputs );

	else:
		// save input into local vars

		unset( $inputs );

		// initialize data variable
		$data = array();

		// prepare SQL
			// no data access here

		// get the data

		// start output buffer
		$buffer = TRUE;

		// data manipulation
		// include data manipulation files
		$includes[]	= $path_modulePath . 'lib/lib.data.php';
		$includes[]	= $path_templatePath . 'lib/lib.data.php';
		$includes[]	= $path_modulePath . 'lib/lib.data.' . $path_component . '.php';
		$includes[]	= $path_templatePath . 'lib/lib.data.' . $path_component . '.php';
		include( $path_modulePath . 'load_includes.php' );

		// twig processing
		// include template engine files
		global $parser, $loader;
		$includes[]	= $path_modulePath . 'lib/lib.twig.formvalues.php' ;				// initial setting of formvalues
		$includes[]	= $path_modulePath . 'lib/lib.twig.php' ;						// module specific formvalues
		$includes[]	= $path_templatePath . 'lib/lib.twig.php' ;						// module specific formvalues
		$includes[]	= $path_modulePath . 'lib/lib.twig.' . $path_component . '.php' ;		// component specific formvalues
		$includes[]	= $path_templatePath . 'lib/lib.twig.' . $path_component . '.php' ;	// local enhancements of formvalues
		$includes[]	= array( 'LOADER'=> 'require_once', 'FILE' => $path_modulePath . 'register_parser.php' );
		include( $path_modulePath . 'load_includes.php' );

		// check if twig template is defined
		if ( isset( $twigTemplate ) == FALSE ):
			// define default twig template
			$twigTemplate =  $path_component . '.lte';
		endif;

		// process page
		$twig_util->resolve_path( $twigTemplate );

		// buffer output
		if ( isset( $buffer ) == TRUE ):
			// start output buffer
			ob_start();
		endif;

		echo $parser->render(
			$twig_modul_namespace . $twigTemplate,
			$form_values
		);

		// get output buffer content
		$path_response = ob_get_contents();

		// clear & end output buffer
		ob_end_clean();

		$status = TRUE;
	endif;

	// output
	if ( $status == TRUE ):
		$status = 1;
	else:
		$status = -1;
	endif;
	echo json_encode( array( 'status' => $status, 'ResponseText' => $path_response ) );
	return true;
?>
