
/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


/*
 * toggles active flag
 */
function path_delete_row( action, row_id, dialogTitle, confirmText )
{
	// Do you confirm
	if ( confirmText && ! confirm( confirmText ) )
	{
		return;
	}

	// delete non saved
	if ( row_id < 0 )
	{
		$( 'tbody#recordsArray_' + row_id ).remove();
		return;
	}

	// ajax call to set flag and return info box
	var url = LEPTON_URL+'/modules/preset_path_manager/ajax.delete_row.php';
	var postdata = {
		action: action
		, row_key: path_ROWKEY
		, row_id: row_id
	}

	var fieldIds = [ 'leptoken' ];
	fieldIds.forEach(function (s, i, o)
	{
		postdata[s] = document.getElementById( s ).value;
	});

	$.ajax({
		url: url
		, type: 'post'
		, dataType: 'json'
		, data: postdata
		, success: function ( data )
			{
				// handle status flag returned
				$( '#img_deleted_' + row_id ).removeClass( 'hidden' );
				$( '#img_delete_'  + row_id ).removeClass( 'hidden' );
				$( '#img_restore_' + row_id ).removeClass( 'hidden' );
				$( '#marker_'      + row_id ).removeClass();

				var data_status = data.data.status;
				if( data_status == 'DELETED' )
				{
					// row mark as deleted
					$( '#img_delete_'  + row_id ).addClass( 'hidden' );
					$( '#marker_'      + row_id ).addClass( 'deleted' );

					// set additional flags
					path_delete_row_set_flag( row_id, data );
				}

				else if( data_status == 'gone' )
				{
					// remove the row
					$( 'tbody#recordsArray_' + row_id ).remove();
				}

				else
				{
					// row marked as deleted has been restored
					$( '#img_deleted_' + row_id ).addClass( 'hidden' );
					$( '#img_restore_' + row_id ).addClass( 'hidden' );

					// set additional flags
					path_delete_row_set_flag( row_id, data );
				}

				// create the dialog with default options
				path_show_dialog( dialogTitle, data.ResponseText );

				// add timeout event to automatically close the dialog after 2 seconds
				path_close_on_timeout( 1, 2 );
			}
	});
};

/*
 * reload page
 */
function path_reload_page()
{
	location.reload();
};
