<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// load filemanager
	if ( count( get_included_files() ) < 2 ) die();

	global $lepton_filemanager;
	if ( is_object($lepton_filemanager) == FALSE ):
		require_once( '../../framework/class.lepton.filemanager.php' );
	endif;

/*
 * List of the files to register
 * ==============================
 *
 * Source: http://doc.lepton-cms.org/docu/english/home/addons/register-files.php
 *
 */

/* automatic registered files:
 * install.php
 * uninstall.php
 * upgrade.php
 * add.php
 * delete.php
 * modify.php
 * view.php
 */

// define the files to be registered
$files_to_register = array();
$files_to_register[] = '/modules/preset_path_manager/README.de.php';
$files_to_register[] = '/modules/preset_path_manager/README.en.php';
$files_to_register[] = '/modules/preset_path_manager/_setup.php';
$files_to_register[] = '/modules/preset_path_manager/ajax.delete_row.php';
$files_to_register[] = '/modules/preset_path_manager/ajax.select_details.php';
$files_to_register[] = '/modules/preset_path_manager/css/backend.css';
$files_to_register[] = '/modules/preset_path_manager/dialog.show_info.php';
$files_to_register[] = '/modules/preset_path_manager/headers.inc.backend.php';
$files_to_register[] = '/modules/preset_path_manager/headers.inc.php';
$files_to_register[] = '/modules/preset_path_manager/headers.inc.tool.php';
$files_to_register[] = '/modules/preset_path_manager/info.php';
$files_to_register[] = '/modules/preset_path_manager/install_dependency.php';
$files_to_register[] = '/modules/preset_path_manager/js/ajax.delete_row.js';
$files_to_register[] = '/modules/preset_path_manager/js/ajax.select_details.js';
$files_to_register[] = '/modules/preset_path_manager/js/dialog.js';
$files_to_register[] = '/modules/preset_path_manager/js/tool.js';
$files_to_register[] = '/modules/preset_path_manager/languages/DE.ajax.delete_row.php';
$files_to_register[] = '/modules/preset_path_manager/languages/DE.ajax.select_details.php';
$files_to_register[] = '/modules/preset_path_manager/languages/DE.dialog.show_info.php';
$files_to_register[] = '/modules/preset_path_manager/languages/DE.php';
$files_to_register[] = '/modules/preset_path_manager/languages/DE.tool.php';
$files_to_register[] = '/modules/preset_path_manager/languages/EN.ajax.delete_row.php';
$files_to_register[] = '/modules/preset_path_manager/languages/EN.ajax.select_details.php';
$files_to_register[] = '/modules/preset_path_manager/languages/EN.dialog.show_info.php';
$files_to_register[] = '/modules/preset_path_manager/languages/EN.php';
$files_to_register[] = '/modules/preset_path_manager/languages/EN.tool.php';
$files_to_register[] = '/modules/preset_path_manager/lib/functions/function.execute_query.php';
$files_to_register[] = '/modules/preset_path_manager/lib/functions/function.input_filter.php';
$files_to_register[] = '/modules/preset_path_manager/lib/functions/function.load_language.php';
$files_to_register[] = '/modules/preset_path_manager/lib/functions/function.select_details.build_file_list.php';
$files_to_register[] = '/modules/preset_path_manager/lib/functions/function.select_details.build_folder_tree.php';
$files_to_register[] = '/modules/preset_path_manager/lib/functions/function.select_details.build_page_tree.php';
$files_to_register[] = '/modules/preset_path_manager/lib/functions/function.select_details.build_section_list.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.backend.config.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.backend.functions.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.data.ajax.delete_row.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.data.ajax.select_details.file_list.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.data.ajax.select_details.folder_tree.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.data.ajax.select_details.page_tree.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.data.ajax.select_details.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.data.ajax.select_details.section_list.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.data.dialog.show_info.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.data.tool.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.tool_save.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.twig.ajax.delete_row.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.twig.dialog.show_info.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.twig.formvalues.php';
$files_to_register[] = '/modules/preset_path_manager/lib/lib.twig.tool.php';
$files_to_register[] = '/modules/preset_path_manager/load_includes.php';
$files_to_register[] = '/modules/preset_path_manager/precheck.php';
$files_to_register[] = '/modules/preset_path_manager/register_initial.php';
$files_to_register[] = '/modules/preset_path_manager/register_language.php';
$files_to_register[] = '/modules/preset_path_manager/register_parser.php';
$files_to_register[] = '/modules/preset_path_manager/templates/backend/ajax.delete_row.lte';
$files_to_register[] = '/modules/preset_path_manager/templates/backend/ajax.select_details.lte';
$files_to_register[] = '/modules/preset_path_manager/templates/backend/dialog.show_info.lte';
$files_to_register[] = '/modules/preset_path_manager/templates/backend/show.delete_row.lte';
$files_to_register[] = '/modules/preset_path_manager/templates/backend/show.help.lte';
$files_to_register[] = '/modules/preset_path_manager/templates/backend/show_info.lte';
$files_to_register[] = '/modules/preset_path_manager/templates/backend/tool.lte';
$files_to_register[] = '/modules/preset_path_manager/tool.php';

// register the files
	$lepton_filemanager->register( $files_to_register );

?>
