<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// admin must be set
	if (( isset($admin)			== FALSE )
	or  ( is_object( $admin )	== FALSE )):
		die();
	endif;

// check input
	$inputs = array();
	$inputs[ 'kind' ]			= array( 'filter' => FILTER_SANITIZE_STRING, 'default' => '', 'allowed' => array( 'save' ) );
	$inputs[ 'path_id' ]		= array( 'filter' => FILTER_SANITIZE_NUMBER_INT, 'default' => 0 );
	$inputs[ 'leptoken' ]		= array( 'filter' => FILTER_SANITIZE_STRING );
	$inputs[ 'return_target' ]	= array( 'filter' => FILTER_SANITIZE_STRING );
	$inputs[ 'return_anchor' ]	= array( 'filter' => FILTER_SANITIZE_STRING );

	// loop over input data and add into inputs array for data validation
	if ( array_key_exists( 'path', $_POST ) == TRUE ):
		$inputs[ 'path' ] = array( 'kind' => 'array' );
		foreach ( $_POST[ 'path' ] as $key => $value ):
			$filter = array( 'filter' => FILTER_SANITIZE_STRING );

			$inputs[ 'path' ][ $key ][ 'path' ]      = $filter;
			$inputs[ 'path' ][ $key ][ 'path_code' ] = $filter;
		endforeach;
	endif;

// set $module as current module
	$path_module = 'preset_path_manager';

// set processing initials
	unset( $twigTemplate );
	$path_component = basename( __FILE__, '.php' );
	$path_modulePath = dirname( __FILE__ ) . DIRECTORY_SEPARATOR;
	$includes = array();

// include the basic files at start
	// setup module initials
	$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $path_modulePath . 'register_initial.php' );
	include( $path_modulePath . 'load_includes.php' );

	// include language registration
	$includes[]	= $path_modulePath . 'register_language.php';
	// include backend config files
	$includes[]	= $path_modulePath . 'lib/lib.config.php';
	$includes[]	= $path_modulePath . 'lib/lib.backend.config.php';
	$includes[]	= $path_templatePath . 'lib/lib.backend.config.php';
	$includes[]	= $path_modulePath . 'lib/lib.backend.config.' . $path_component . '.php';
	$includes[]	= $path_templatePath . 'lib/lib.backend.config.' . $path_component . '.php';
	// include basic functions
	$includes[]	= $path_templatePath . 'lib/lib.backend.functions.' . $path_component . '.php';
	$includes[]	= $path_templatePath . 'lib/lib.backend.functions.php';
	$includes[]	= $path_modulePath . 'lib/lib.backend.functions.' . $path_component . '.php';
	$includes[]	= $path_modulePath . 'lib/lib.backend.functions.php';
	// do include
	include( $path_modulePath . 'load_includes.php' );

	// initialize data variable
	$data = array();

	// do input validation
	if ( $_SERVER["REQUEST_METHOD"] == 'POST' ):
		$error = path_input_filter( 'POST', $_POST, $inputs );
	else:
		$error = path_input_filter( 'GET', $_GET, $inputs );
	endif;
	$path_status = '';
	if ( $error != 0 ):
		$status = FALSE;
		$path_status = $MOD_PRESET_PATH_MANAGER['ERROR']['INPUT'] . ' [ ' . $error . ' ]' . '<br />' . $inputs[$error][ 'error' ];
		unset( $inputs );

	else:
		// save input into local vars
		$kind			= $inputs[ 'kind' ][ 'value' ];
		$path_id		= $inputs[ 'path_id' ][ 'value' ];
		$leptoken		= $inputs[ 'leptoken' ][ 'value' ];
		$return_target	= $inputs[ 'return_target' ][ 'value' ];
		$return_anchor	= $inputs[ 'return_anchor' ][ 'value' ];

		// load only those where path_code is not empty
		$data = array();
		if ( array_key_exists( 'path', $inputs ) == TRUE ):
			foreach ( $inputs[ 'path' ] as $key => $items ):
				if (( array_key_exists( 'path_code', $items )				== TRUE )
				and ( array_key_exists( 'value', $items[ 'path_code' ] )	== TRUE )
				and ( strlen( trim( $items[ 'path_code' ][ 'value' ] ))		>  0    )):
					$data[ $key ][ 'path' ]      = $items[ 'path' ][ 'value' ];
					$data[ $key ][ 'path_code' ] = $items[ 'path_code' ][ 'value' ];
				endif;
			endforeach;
		endif;

		unset( $inputs );

		// update component variable
			// handle kind
		if ( $kind == 'save' ):
			$path_component .= '_' . $kind;
		endif;

		// initialize return status
		$status = TRUE;
		$show_success = TRUE;
		if ( strlen( $return_target ) == 0 ):
			$return_target = ADMIN_URL . DIRECTORY_SEPARATOR . 'admintools' . DIRECTORY_SEPARATOR . 'tool.php?tool=preset_path_manager';
		endif;

		if ( $kind == 'save' ):
			// save data processing
			$includes[]	= $path_modulePath . '/lib/lib.save.' . $path_component . '.php';
			$includes[]	= array( 'LOADER'=> 'require', 'FILE' => $path_modulePath . 'lib/lib.' . $path_component . '.php' );
			include( $path_modulePath . 'load_includes.php' );

			// saved successfully
			if ( $status == TRUE ):
				if (( isset( $save_anchor )	== TRUE )
				and ( strlen( $save_anchor ) > 0    )):
					$return_target .= '#' . $save_anchor;
				endif;
				$path_status = $MESSAGE['PAGES']['SAVED'];
			endif;

		else:
			// data manipulation
		// include data manipulation files
		$includes[]	= $path_modulePath . 'lib/lib.data.php';
		$includes[]	= $path_templatePath . 'lib/lib.data.php';
		$includes[]	= $path_modulePath . 'lib/lib.data.' . $path_component . '.php';
		$includes[]	= $path_templatePath . 'lib/lib.data.' . $path_component . '.php';
		include( $path_modulePath . 'load_includes.php' );

			// twig processing
		// include template engine files
		global $parser, $loader;
		$includes[]	= $path_modulePath . 'lib/lib.twig.formvalues.php' ;				// initial setting of formvalues
		$includes[]	= $path_modulePath . 'lib/lib.twig.php' ;						// module specific formvalues
		$includes[]	= $path_templatePath . 'lib/lib.twig.php' ;						// module specific formvalues
		$includes[]	= $path_modulePath . 'lib/lib.twig.' . $path_component . '.php' ;		// component specific formvalues
		$includes[]	= $path_templatePath . 'lib/lib.twig.' . $path_component . '.php' ;	// local enhancements of formvalues
		$includes[]	= array( 'LOADER'=> 'require_once', 'FILE' => $path_modulePath . 'register_parser.php' );
		include( $path_modulePath . 'load_includes.php' );

		// check if twig template is defined
		if ( isset( $twigTemplate ) == FALSE ):
			// define default twig template
			$twigTemplate =  $path_component . '.lte';
		endif;

		// process page
		$twig_util->resolve_path( $twigTemplate );

		// buffer output
		if ( isset( $buffer ) == TRUE ):
			// start output buffer
			ob_start();
		endif;

		echo $parser->render(
			$twig_modul_namespace . $twigTemplate,
			$form_values
		);

			// handle return
			$show_success = FALSE;

			// status is always OK
			$status = TRUE;	
		endif;
	endif;

	// or an failure occured
	if ( $status != TRUE ):
		$admin->print_error(
					  $path_status
					, $return_target
		);
	elseif ( $show_success == TRUE ):
		$admin->print_success(
					  $path_status
					, $return_target
		);
	endif;

?>
